--- title: "Get details of inspection item inspection results" slug: "management-cloud-advisor-result-detail" tags: ["Cloud Advisor"] updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/management-cloud-advisor-result-detail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get details of inspection item inspection results Available in VPC Get detailed inspection results for each instance for an inspection item. You can check whether detailed inspection results for each instance of the inspection item are provided in [Get inspection item](/docs/en/management-cloud-advisor-checkitems). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/categories/{categoryCode}/checkitems/{itemCode}/result-detail | ### Request headers For information about the headers common to all Cloud Advisor APIs, see [Cloud Advisor request headers](/docs/en/management-cloud-advisor-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | Required | Inspection category code - `SECURITY` \| `COST` - `SECURITY`: security category - `COST`: expense and high availability category | | `itemCode` | String | Required | Inspection item code - See [Inspection item code](/docs/en/management-cloud-advisor-overview#CloudAdvisor%EC%A0%90%EA%B2%80%ED%95%AD%EB%AA%A9). | Note A 404 error will occur if you request an inspection item (`itemCode`) that does not belong to an inspection category (`categoryCode`). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `display` | String | Optional | Query target instance - `all` \| `included` (default) \| `excluded` - `all`: all instances - `included`: included instances - `excluded`: excluded instances | | `page` | Integer | Required | Page number - 1-N | | `size` | Integer | Required | Number of items per page - 1-N | Note Included instances or excluded instances can be set using the following APIs. - Set included instances: [Set detailed inclusion for inspection results](/docs/en/management-cloud-advisor-result-detail-include) - Set excluded instances: [Set detailed exclusion for inspection results](/docs/en/management-cloud-advisor-result-detail-exclude) ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloud-advisor.apigw.ntruss.com/api/v1/categories/{categoryCode}/checkitems/{itemCode}/result-detail?display=all&page=1&size=5' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | API processing result - `SUCCESS` \| `FAIL` - `SUCCESS`: succeeded - `FAIL`: failed | | `contents` | Object | - | Checklist | | `contents.itemCode` | String | - | Inspection item code | | `meta` | Object | - | Metadata for paging processing | | `meta.totalPage` | Integer | - | Total number of pages | | `meta.currentPage` | Integer | - | Current page number | | `meta.size` | Integer | - | Number of items per page | | `data` | Array | - | Detailed inspection results for each instance for an inspection item: [`ResultTableRow`](/docs/en/management-cloud-advisor-result-detail#ResultTableRow) | #### `ResultTableRow` The following describes `ResultTableRow`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `memberNo` | Integer | - | Account member ID | | `instanceNo` | Integer | - | Instance number | | `itemSid` | Integer | - | Inspection item ID - 0-2147483647 | | `instanceKey` | Integer | - | Unique instance key | | `status` | String | - | Inspection result notification level - `GREEN` \| `YELLOW` \| `RED` - `GREEN`: status of compliance with recommended settings (normal) - `YELLOW`: status requiring action (warning) - `RED`: status requiring immediate action (dangerous) | Note The table above describes the fields commonly provided for each instance. For detailed field information provided for each instance, see `tableHeaderInfo` in the [Get inspection result details](/docs/en/management-cloud-advisor-checkitems) response result. ### Response status codes For response status codes common to all Cloud Advisor APIs, see [Cloud Advisor response status codes](/docs/en/management-cloud-advisor-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": "SUCCESS", "contents": { "itemCode": "SUB_ACCOUNT_USE", "meta": { "totalPage": 1, "currentPage": 1, "size": 5 }, "data": [ { "memberNo": 2*****2, "instanceNo": 0, "itemSid": 2, "instanceKey": "2*****2", "status": "GREEN" } ] } } ```